Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class RestrictedCollections.RestrictedCollection

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.RestrictedCollections.RestrictedCollection`

All Implemented Interfaces:
  Serializable, Iterable, Collection

Direct Known Subclasses:
  RestrictedCollections.RestrictedList, RestrictedCollections.RestrictedSet

Enclosing class:
  RestrictedCollections

      public static class RestrictedCollections.RestrictedCollection

extends Base
implements Collection, Serializable

A restricted Collection that requires its contents to be of a specified class.

Field Summary
`protected Class` | `m_clz` The class of Objects stored in the Collection.
`protected Collection` | `m_col` The underlying Collection.

Constructor Summary
`RestrictedCollections.RestrictedCollection(Collection col, Class clz)` Constructor.

Method Summary
`boolean` | `add(Object o)` Ensures that this Collection contains the specified element.
`boolean` | `addAll(Collection col)` Adds all of the elements in the specified Collection to this Collection (optional operation).
`protected void` | `checkObject(Object o)` Check the passed object to verify that it passes the restriction of this Collection.
`void` | `clear()` Removes all of the elements from this Collection.
`boolean` | `contains(Object o)` Returns true if this Collection contains the specified element.
`boolean` | `containsAll(Collection col)` Returns `true` if this Collection contains all of the elements in the specified Collection.
`boolean` | `equals(Object o)` Compares the specified object with this collection for equality.
`int` | `hashCode()` Returns the hash code value for this collection.
`boolean` | `isEmpty()` Returns `true` if this Collection contains no elements.
`Iterator` | `iterator()` Returns an Iterator over the elements contained in this Collection.
`boolean` | `remove(Object o)` Removes a single instance of the specified element from this Collection, if it is present (optional operation).
`boolean` | `removeAll(Collection col)` Removes all this Collection's elements that are also contained in the specified Collection (optional operation).
`boolean` | `retainAll(Collection col)` Retains only the elements in this Collection that are contained in the specified Collection (optional operation).
`int` | `size()` Returns the number of elements in this Collection.
`Object[]` | `toArray()` Returns an array containing all of the elements in this Collection.
`Object[]` | `toArray(Object[] ao)` Returns an array containing all of the elements in this Collection whose runtime type is that of the specified array.
`String` | `toString()` Return a String description for this collection.

Field Detail

### m_col

    protected Collection m_col

  The underlying Collection.

### m_clz

    protected Class m_clz

  The class of Objects stored in the Collection.

Constructor Detail

### RestrictedCollections.RestrictedCollection

    public RestrictedCollections.RestrictedCollection(Collection col,
                                                      Class clz)

  Constructor.
  Parameters:
    `col` - the underlying Collection
    `clz` - the class of objects that may be stored in the Collection

Method Detail

### size

    public int size()

  Returns the number of elements in this Collection.
  Specified by:
    `size` in interface `Collection`
  Returns:
    the number of elements in this Collection

### isEmpty

    public boolean isEmpty()

  Returns `true` if this Collection contains no elements.
  Specified by:
    `isEmpty` in interface `Collection`
  Returns:
    `true` if this Collection contains no elements

### contains

    public boolean contains(Object o)

  Returns true if this Collection contains the specified element. More formally, returns true if and only if this Collection contains at least one element `e` such that `(o==null ? e==null : o.equals(e))`.
  Specified by:
    `contains` in interface `Collection`
  Parameters:
    `o` - the object to search for in the Collection
  Returns:
    true if this Collection contains the specified object

### iterator

    public Iterator iterator()

  Returns an Iterator over the elements contained in this Collection.
  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Returns:
    an Iterator over the elements contained in this Collection

### toArray

    public Object[] toArray()

  Returns an array containing all of the elements in this Collection. Obeys the general contract of Collection.toArray.
  Specified by:
    `toArray` in interface `Collection`
  Returns:
    an array, whose component type is the class of objects that may be stored in the Collection containing all of the elements in this Collection

### toArray

    public Object[] toArray(Object[] ao)

  Returns an array containing all of the elements in this Collection whose runtime type is that of the specified array. Obeys the general contract of Collection.toArray.
  Specified by:
    `toArray` in interface `Collection`
  Parameters:
    `ao` - the array into which the elements of this Collection are to be stored, if it is big enough; otherwise, a new array of the same runtime type is allocated for this purpose
  Returns:
    an array containing the elements of this Collection

### add

    public boolean add(Object o)

  Ensures that this Collection contains the specified element.
  Specified by:
    `add` in interface `Collection`
  Parameters:
    `o` - element whose presence in this Collection is to be ensured
  Returns:
    true if the Collection changed as a result of the call
  Throws:
    `ClassCastException` - class of the specified element prevents it from being added to this Collection

### remove

    public boolean remove(Object o)

  Removes a single instance of the specified element from this Collection, if it is present (optional operation). More formally, removes an element `e` such that `(o==null ? e==null : o.equals(e))`, if the Collection contains one or more such elements. Returns true if the Collection contained the specified element (or equivalently, if the Collection changed as a result of the call).
  Specified by:
    `remove` in interface `Collection`
  Parameters:
    `o` - element to be removed from this Collection, if present
  Returns:
    true if the Collection contained the specified element

### containsAll

    public boolean containsAll(Collection col)

  Returns `true` if this Collection contains all of the elements in the specified Collection.
  Specified by:
    `containsAll` in interface `Collection`
  Parameters:
    `col` - Collection to be checked for containment in this Collection
  Returns:
    `true` if this Collection contains all of the elements in the specified Collection
  See Also:
    `Collection.contains(Object)`

### addAll

    public boolean addAll(Collection col)

  Adds all of the elements in the specified Collection to this Collection (optional operation). The behavior of this operation is undefined if the specified Collection is modified while the operation is in progress. (This implies that the behavior of this call is undefined if the specified Collection is this Collection, and this Collection is nonempty.)
  Specified by:
    `addAll` in interface `Collection`
  Parameters:
    `col` - elements to be inserted into this Collection
  Returns:
    `true` if this Collection changed as a result of the call
  Throws:
    `ClassCastException` - if the class of an element of the specified Collection prevents it from being added to this Collection
  See Also:
    `Collection.add(Object)`

### removeAll

    public boolean removeAll(Collection col)

  Removes all this Collection's elements that are also contained in the specified Collection (optional operation). After this call returns, this Collection will contain no elements in common with the specified Collection.
  Specified by:
    `removeAll` in interface `Collection`
  Parameters:
    `col` - elements to be removed from this Collection
  Returns:
    `true` if this Collection changed as a result of the call
  See Also:
    `Collection.remove(Object)`, `Collection.contains(Object)`

### retainAll

    public boolean retainAll(Collection col)

  Retains only the elements in this Collection that are contained in the specified Collection (optional operation). In other words, removes from this Collection all of its elements that are not contained in the specified Collection.
  Specified by:
    `retainAll` in interface `Collection`
  Parameters:
    `col` - elements to be retained in this Collection
  Returns:
    `true` if this Collection changed as a result of the call
  See Also:
    `Collection.remove(Object)`, `Collection.contains(Object)`

### clear

    public void clear()

  Removes all of the elements from this Collection.
  Specified by:
    `clear` in interface `Collection`

### equals

    public boolean equals(Object o)

  Compares the specified object with this collection for equality.

  Obeys the general contract of Collection.equals.

  Specified by:
    `equals` in interface `Collection`
  Parameters:
    `o` - Object to be compared for equality with this Collection
  Returns:
    `true` if the specified object is equal to this Collection
  See Also:
    `Object.equals(Object)`, `Set.equals(Object)`, `List.equals(Object)`

### hashCode

    public int hashCode()

  Returns the hash code value for this collection. Obeys the general contract of Collection.hashCode.
  Specified by:
    `hashCode` in interface `Collection`
  Returns:
    the hash code value for this collection
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`

### toString

    public String toString()

  Return a String description for this collection.
  Returns:
    a String description of the Collection

### checkObject

    protected void checkObject(Object o)

  Check the passed object to verify that it passes the restriction of this Collection.
  Parameters:
    `o` - the Object to check
  Throws:
    `ClassCastException` - if the class of the passed Object prevents it from being stored in this Collection

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.